/*
 *      Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 *      Licensed under the Flora License, Version 1.1 (the "License");
 *      you may not use this file except in compliance with the License.
 *      You may obtain a copy of the License at
 *
 *              http://floralicense.org/license/
 *
 *      Unless required by applicable law or agreed to in writing, software
 *      distributed under the License is distributed on an "AS IS" BASIS,
 *      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *      See the License for the specific language governing permissions and
 *      limitations under the License.
 */


/*
 * We must declare global variables to let the validator know the
 * global variables we use.
 * To declare global variables, write global variables along with
 * default values inside a comment on top of each source code.
 * The comment should start with the keyword, global.
 */

/*global isActive: true, getAlarmData: true*/
isActive = true;

/*
 * There are three types of alarm data: Repeat Alarm, One-time Alarm,
 * and No Alarm. In this sample widget, alarm data is hard coded.
 */

/**
 * Gets alarm data
 * @public
 * @return {Object} alarm data
 */
getAlarmData = function() {
    var alarm_data = {};

    // Creating a repeat alarm data
    alarm_data.type = 'repeat'; // 'repeat', 'oneTimeAlarm', 'noAlarm' are possible values
    alarm_data.time = '7:50';
    alarm_data.amPm = 'AM';
    alarm_data.sun = false;
    alarm_data.mon = true;
    alarm_data.tue = true;
    alarm_data.wed = true;
    alarm_data.thu = true;
    alarm_data.fri = true;
    alarm_data.sat = false;

    return alarm_data;
};
